## /vis/scene/add/

Add model to current scene.

## Sub-directories :

## Commands :

axes [x0] [y0] [z0] [length] [unit]

  Add axes.
  Draws axes at (x0, y0, z0) of given length.

  Available at all Geant4 states.

  Parameters

  x0 | type d | Omittable : default value = 0 |
  y0 | type d | Omittable : default value = 0 |
  z0 | type d | Omittable : default value = 0 |
  length | type d | Omittable : default value = 1 |
  unit | type s | Omittable : default value = m |

ghosts [particle]

  Adds ghost volumes (G4FlavoredParallelWorld) to the current scene.
  Selects by particle.

  Available at all Geant4 states.

  Parameters

  particle | type s | Omittable : default value = all |

hits

  Adds hits to current scene.
  Hits are drawn at end of event when the scene in which they are added is current.

  Available at all Geant4 states.

logicalVolume [logical-volume-name] [depth-of-descent] [booleans-flag] [voxels-flag] [readout-flag]

  Adds a logical volume to the current scene,
  Shows boolean components (if any), voxels (if any) and readout geometry (if any). Note: voxels are not constructed until start of run - "/run/beamOn".

  Available at all Geant4 states.

  Parameters

  logical-volume-name | type s |  |
  depth-of-descent | type i | Omittable : default value = 1 |
  booleans-flag | type b | Omittable : default value = 1 |
  voxels-flag | type b | Omittable : default value = 1 |
  readout-flag | type b | Omittable : default value = 1 |

logo [height] [unit] [direction] [red] [green] [blue] [auto|manual] [xmid] [ymid] [zmid] [unit]

  Adds a G4 logo to the current scene.
  The placement, if automatic, is similar to that of scale - "help /vis/scene/add/scale" for more information.

  Available at all Geant4 states.

  Parameters

  height | type d | Omittable : default value = 1 |
  unit | type s | Omittable : default value = m |
  direction | type s | Omittable : default value = x |
  red | type d | Omittable : default value = 0 |
  green | type d | Omittable : default value = 1 |
  blue | type d | Omittable : default value = 0 |
  auto|manual | type s | Omittable : default value = auto |
  xmid | type d | Omittable : default value = 0 |
  ymid | type d | Omittable : default value = 0 |
  zmid | type d | Omittable : default value = 0 |
  unit | type s | Omittable : default value = m |

scale [length] [unit] [direction] [red] [green] [blue] [auto|manual] [xmid] [ymid] [zmid] [unit]

  Adds an annotated scale line to the current scene.
  An annotated line in the specified direction with tick marks at the end. If autoPlacing is true it is required to be centred at the front, right, bottom corner of the world space, comfortably outside the existing bounding box/sphere so that existing objects do not obscure it. Otherwise it is required to be drawn with mid-point at (xmid, ymid, zmid). The auto placing algorithm might be: x = xmin + (1 + comfort) * (xmax - xmin); y = ymin - comfort * (ymax - ymin); z = zmin + (1 + comfort) * (zmax - zmin); if direction == x then (x - length,y,z) to (x,y,z); if direction == y then (x,y,z) to (x,y + length,z); if direction == z then (x,y,z - length) to (x,y,z);

  Available at all Geant4 states.

  Parameters

  length | type d | Omittable : default value = 1 |
  unit | type s | Omittable : default value = m |
  direction | type s | Omittable : default value = x |
  red | type d | Omittable : default value = 1 |
  green | type d | Omittable : default value = 0 |
  blue | type d | Omittable : default value = 0 |
  auto|manual | type s | Omittable : default value = auto |
  xmid | type d | Omittable : default value = 0 |
  ymid | type d | Omittable : default value = 0 |
  zmid | type d | Omittable : default value = 0 |
  unit | type s | Omittable : default value = m |

text [x] [y] [z] [unit] [font_size] [x_offset] [y_offset] [text]

  Adds text to current scene.

  Available at all Geant4 states.

  Parameters

  x | type d | Omittable : default value = 0 |
  y | type d | Omittable : default value = 0 |
  z | type d | Omittable : default value = 0 |
  unit | type s | Omittable : default value = m |
  font_size | type d | Omittable : default value = 12 |
  x_offset | type d | Omittable : default value = 0 |
  y_offset | type d | Omittable : default value = 0 |
  text | type s | Omittable : default value = Hello G4 |

trajectories [drawing-mode]

  Adds trajectories to current scene.
  Causes trajectories, if any, to be drawn at the end of processiing an event. The drawing mode is an integer that is passed to the DrawTrajectory method. The default implementation in G4VTrajectory, if drawing-mode >= 0, draws the trajectory as a polyline (blue for positive, red for negative, green for neutral) and, if drawing-mode != 0, draws markers of screen size std::abs(drawing-mode)/1000 pixels at each step and auxiliary point, if any. So drawing-mode = 5000 is a good choice. Enable storing with "/tracking/storeTrajectory 1". See also "/vis/scene/endOfEventAction".

  Available at all Geant4 states.

  Parameters

  drawing-mode | type i | Omittable : default value = 0 |

userAction [xmin] [xmax] [ymin] [ymax] [zmin] [zmax] [unit]

  Add Vis User Action, if any, to current scene.
  Optional arguments define the extent of the callback drawing. You may not need this if the extent has been defined in the original SetUserAction or is defined by other components of the scene. But if the user action is the only component of the scene, you will certainly need to set the extent either in SetUserAction or here. A scene must have an extent one way or another so that the viewer can calculate how to point the camera.

  Available at all Geant4 states.

  Parameters

  xmin | type d | Omittable : default value = 0 |
  xmax | type d | Omittable : default value = 0 |
  ymin | type d | Omittable : default value = 0 |
  ymax | type d | Omittable : default value = 0 |
  zmin | type d | Omittable : default value = 0 |
  zmax | type d | Omittable : default value = 0 |
  unit | type s | Omittable : default value = cm |

volume [physical-volume-name] [copy-no] [depth-of-descent] [clip-volume-type] [parameter-unit] [parameter-1] [parameter-2] [parameter-3] [parameter-4] [parameter-5] [parameter-6]

  Adds a physical volume to current scene, with optional clipping volume.
  If physical-volume-name is "world" (the default), the top of the tracking tree is used (GetNavigatorForTracking()->GetWorldVolume()). Otherwise a search of the tracking tree is made, taking the first matching occurence only. To see a representation of the geometry hierarchy of the tracking tree, try "/vis/drawTree" or one of the driver/browser combinations that have the required functionality, e.g., HepRepFile/XML with the WIRED3/4 browser.
  If clip-volume-type is specified, the subsequent parameters are used to to define a clipping volume. For example, "vis/scene/add/volume ! ! ! box km 0 1 0 1 0 1" will draw the world with the positive octant cut away.

  Available at all Geant4 states.

  Parameters

  physical-volume-name | type s | Omittable : default value = world |
  copy-no | type i | Omittable : default value = -1 |
  depth-of-descent | type i | Omittable : default value = -1 |
  clip-volume-type | type s | Omittable : default value = none |
  parameter-unit | type s | Omittable : default value = m |
  parameter-1 | type d | Omittable : default value = 0 |
  parameter-2 | type d | Omittable : default value = 0 |
  parameter-3 | type d | Omittable : default value = 0 |
  parameter-4 | type d | Omittable : default value = 0 |
  parameter-5 | type d | Omittable : default value = 0 |
  parameter-6 | type d | Omittable : default value = 0 |